pushd %~dp0
call setenv-ldc.bat

popd

if exist ..\libs\%JAR_FILE_NAME% (
    CD ..
)

rem --- Start the LDAP Directory Connector
if "%BACKGROUND%" == "true" (

	rem NOTE: the 'start /B call' command executes the JVM in another thread
	rem       This might happen if the login shell in which the LDAP connector is
	rem       started, times out and logs out the user. The net effect is that the
	rem       LDAP Connector JVM is executed as a 'background' process that survives
	rem       the shell that launched it.
	rem
	rem       stdout and sdterr - redirected to file: ldc_console.log
	echo [INFO] - Starting the OneLogin LDAP Connector as a background process using command:
	echo start ^/B call java %JVM_OPT% -jar %JAR_PATH% %LDC_DEFAULT_CONFIG_PATH% %LDC_CONFIG_PATH% 1^> %LDC_HOME%\logs\ldc_console.log 2^>^&1
	start /B call java %JVM_OPT% -jar %JAR_PATH% %LDC_DEFAULT_CONFIG_PATH% %LDC_CONFIG_PATH% %LDC_CONFIG_PASSWORD% ^1^> %LDC_HOME%\logs\ldc_console.log ^2^>^&^1
) else (
	echo [INFO] - Starting the OneLogin LDAP Connector as a foreground process using command:
	echo java %JVM_OPT% -jar %JAR_PATH% %LDC_DEFAULT_CONFIG_PATH% %LDC_CONFIG_PATH%
	java %JVM_OPT% -jar %JAR_PATH% %LDC_DEFAULT_CONFIG_PATH% %LDC_CONFIG_PATH% %LDC_CONFIG_PASSWORD% 
)

rem
rem --- EOF
